Package com.sas.lsaf.client

## Class ProxyInfo

- java.lang.Object
- - com.sas.lsaf.client.ProxyInfo

-     public class ProxyInfo
      extends java.lang.Object

  Simple information holder that contains the necessary information to connect to a proxy server.
  Since:
    1.7
  See Also:
    `SessionFactory.logon(java.net.URL, String, byte[], ProxyInfo)`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProxyInfo​(java.lang.String proxyHost, int proxyPort)` | Constructs a proxy server information holder containing the proxy server connection parameters.
    `ProxyInfo​(java.lang.String proxyHost, int proxyPort, java.lang.String proxyUserId, java.lang.String proxyPassword)` | Constructs a proxy server information holder containing the proxy server connection parameters as well as the credentials required to connect.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getProxyHost()` | Returns the proxy server host to use when establishing a `ClientSession`.
    `java.lang.String` | `getProxyPassword()` | Returns the proxy server password to use when establishing a `ClientSession`.
    `int` | `getProxyPort()` | Returns the proxy server port to use when establishing a `ClientSession`.
    `java.lang.String` | `getProxyUserId()` | Returns the proxy server user id to use when establishing a `ClientSession`.
    `void` | `setProxyHost​(java.lang.String proxyHost)` | Set the proxy server host to use when establishing a `ClientSession`.
    `void` | `setProxyPassword​(java.lang.String proxyPassword)` | Set the proxy server password to use when establishing a `ClientSession`.
    `void` | `setProxyPort​(int proxyPort)` | Set the proxy server port to use when establishing a `ClientSession`.
    `void` | `setProxyUserId​(java.lang.String proxyUserId)` | Set the proxy server user id to use when establishing a `ClientSession`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProxyInfo

          public ProxyInfo​(java.lang.String proxyHost,
                           int proxyPort)

      Constructs a proxy server information holder containing the proxy server connection parameters.
      Parameters:
        `proxyHost` - the proxy server host name (IP or DNS name)
        `proxyPort` - the proxy server port

    - #### ProxyInfo

          public ProxyInfo​(java.lang.String proxyHost,
                           int proxyPort,
                           java.lang.String proxyUserId,
                           java.lang.String proxyPassword)

      Constructs a proxy server information holder containing the proxy server connection parameters as well as the credentials required to connect. This constructor should only be used if the proxy server requires authentication.
      Parameters:
        `proxyHost` - the proxy server host name (IP or DNS name)
        `proxyPort` - the proxy server port
        `proxyUserId` - the proxy server user id if the proxy server requires authentication
        `proxyPassword` - the proxy server password if the proxy server requires authentication

  - ### Method Detail

    - #### getProxyHost

          public java.lang.String getProxyHost()

      Returns the proxy server host to use when establishing a `ClientSession`.
      Returns:
        the proxy server host

    - #### setProxyHost

          public void setProxyHost​(java.lang.String proxyHost)

      Set the proxy server host to use when establishing a `ClientSession`.
      Parameters:
        `proxyHost` - the proxy host name (IP or DNS name).

    - #### getProxyPort

          public int getProxyPort()

      Returns the proxy server port to use when establishing a `ClientSession`.
      Returns:
        the proxy server port

    - #### setProxyPort

          public void setProxyPort​(int proxyPort)

      Set the proxy server port to use when establishing a `ClientSession`.
      Parameters:
        `proxyPort` - the proxy server port

    - #### getProxyUserId

          public java.lang.String getProxyUserId()

      Returns the proxy server user id to use when establishing a `ClientSession`.
      Returns:
        the proxy server user id

    - #### setProxyUserId

          public void setProxyUserId​(java.lang.String proxyUserId)

      Set the proxy server user id to use when establishing a `ClientSession`. This is required only when the proxy server is configured to require authentication.
      Parameters:
        `proxyUserId` - the proxy server user id

    - #### getProxyPassword

          public java.lang.String getProxyPassword()

      Returns the proxy server password to use when establishing a `ClientSession`.
      Returns:
        the proxy server password

    - #### setProxyPassword

          public void setProxyPassword​(java.lang.String proxyPassword)

      Set the proxy server password to use when establishing a `ClientSession`. This is required only when the proxy server is configured to require authentication.
      Parameters:
        `proxyPassword` - the proxy server password